Name:          bzrtp
Version:       5.3.72
Release:       1mamba
Summary:       An opensource implementation of ZRTP keys exchange protocol
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/linphone/bzrtp
Source:        https://gitlab.linphone.org/BC/public/bzrtp.git/%{version}/bzrtp-%{version}.tar.bz2
#Source:        https://github.com/BelledonneCommunications/bzrtp.git/%{version}/bzrtp-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libbctoolbox-devel
BuildRequires: libgcc
BuildRequires: libsqlite-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
bzrtp is an opensource implementation of ZRTP keys exchange protocol.
The library written in C 89 is fully portable and can be executed  on many platforms including both ARM  processor and x86.

%package -n lib%{name}
Group:         System/Libraries
Summary:       An opensource implementation of ZRTP keys exchange protocol

%description -n lib%{name}
bzrtp is an opensource implementation of ZRTP keys exchange protocol.
The library written in C 89 is fully portable and can be executed  on many platforms including both ARM  processor and x86.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q

%build
%cmake \
   -DENABLE_STATIC=OFF
	
%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

#install -d -m0755 %{buildroot}%{_libdir}/cmake
#mv %{buildroot}%{_datadir}/bzrtp/cmake %{buildroot}%{_libdir}/cmake/bzrtp

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libbzrtp.so.*
%doc LICENSE.txt

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/bzrtp
%{_includedir}/bzrtp/bzrtp.h
%{_libdir}/libbzrtp.so
%dir %{_datadir}/BZRTP/cmake
%{_datadir}/BZRTP/cmake/BZRTP*.cmake
%doc README.md

%changelog
* Wed Jul 24 2024 Automatic Build System <autodist@openmamba.org> 5.3.72-1mamba
- automatic version update by autodist

* Mon Apr 15 2024 Automatic Build System <autodist@openmamba.org> 5.3.41-1mamba
- automatic version update by autodist

* Mon Apr 01 2024 Automatic Build System <autodist@openmamba.org> 5.3.38-1mamba
- automatic version update by autodist

* Wed Mar 13 2024 Automatic Build System <autodist@openmamba.org> 5.3.34-1mamba
- automatic version update by autodist

* Tue Feb 27 2024 Automatic Build System <autodist@openmamba.org> 5.3.24-1mamba
- automatic version update by autodist

* Tue Feb 13 2024 Automatic Build System <autodist@openmamba.org> 5.3.19-1mamba
- automatic version update by autodist

* Sat Feb 03 2024 Automatic Build System <autodist@openmamba.org> 5.3.15-1mamba
- automatic version update by autodist

* Thu Jan 04 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 5.3.6-1mamba
- update to 5.3.6

* Mon Dec 18 2023 Automatic Build System <autodist@mambasoft.it> 5.2.112-1mamba
- automatic version update by autodist

* Thu Nov 23 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.111-1mamba
- package created using the webbuild interface
